Skip to main content
GET
List credit notes
Authentication: API key OAuth 2.0
Scope: client_invoices.read
You can filter (ex: only retrieve the latest credit notes) and sort this list by using query parameters 👇

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Query Parameters

filter[created_at_from]
string<date-time>

Credit notes can be filtered by their created_at property. Can be use in combination with the created_at_to query parameter to get credit notes created within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).

Example:

"2022-02-01T12:01:02Z"

filter[created_at_to]
string<date-time>

Credit notes can be filtered by their created_at property. Can be use in combination with the created_at_from query parameter to get credit notes created within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).

Example:

"2022-23-04T16:23:00Z"

page
integer

Returned page (cf. Pagination).

Example:

1

per_page
integer
default:1

Number of credit notes per page (cf. Pagination).

Required range: x <= 100
sort_by
string
default:created_at:desc

Credit notes can be sorted by their created_at property in 2 possible orders: asc (Ascending) / desc (Descending).

Response

Returns the list credit notes.

credit_notes
object[]
required
meta
object

Metadata for paginated products and credit notes responses.

Note: these endpoints return the previous-page field as previous_page (rather than prev_page, used elsewhere in the Business API). next_page and previous_page are always present and are null on the last/first page.